> For the complete documentation index, see [llms.txt](https://docs.openg2p.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.openg2p.org/operations/deployment/deployment-guide/pulling-docker-from-private-repository-on-docker-hub.md).

# Pulling Docker from Private Repository on Docker Hub

If your docker is hosted as private repository on Docker Hub, following the below steps to install the same using Helm

1. Create a Docker Hub secret in your namespace. On Rancher select your namespace, and navigate to Secrets -> Create -> Registry -> DockerHub. Provide
   * `Name`: Name of the secret (*arbitrary*)
   * `Username`: Docker Hub user id
   * `Password`: [User access token](https://docs.docker.com/security/for-developers/access-tokens/) (Make sure original password is NOT given here)
2. While deploying via Helm add the following into the Helm YAML

```yaml
image:
    pullPolicy: Always
    repository: openg2p/<your docker repository name>
    tag: <docker tag>
    pullSecrets: <name of the secret>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.openg2p.org/operations/deployment/deployment-guide/pulling-docker-from-private-repository-on-docker-hub.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
